Vault CPC sys requirements


Posts: 3484
Joined: Tue Dec 16, 2003 1:17 pm
Location: SourceGear
PostPosted: Mon Oct 23, 2017 9:55 am
It appears that Java 9 changed some of the dependencies in the packages and/or classes shipped with the release release of the JDK. So, at this time, Vault 9 CPC and Vault 10 CPC will only work with Java 7/Java 8.

If you do not require Java 9, uninstall it, and download and install the Java 8 JDK.

However, if you still require Java 9, you can edit the vaultpro-cpc.ini file, add the following lines BEFORE the "-data" line:

...
--launcher.XXMaxPermSize
128m
-vm
/path/to/java/8/jdk/bin

-data
...

For example, the vaultpro-cpc.ini ( found in the vaultpro-cpc.app bundle in the ./Contents/MacOS/vaultpro-cpc.ini, so you'll have to use a terminal or 'Show Package Contents' on the vaultpro-cpc.app to access the file ) on a Mac is as follows:

...
--launcher.XXMaxPermSize
128m
-vm
/Library/Java/JavaVirtualMachines/jdk1.8.0_151.jdk/Contents/Home/bin
-data
...


Please note, the instructions above are for Vault Professional, but the instructions for Vault Standard are essentially the same with a couple of exceptions. Instead of vaultpro-cpc.ini, the file name is vault-cpc.ini, and the Mac OS X app bundle is named vault-cpc.app.

The Java 8 JDK can be found on a link here - http://www.oracle.com/technetwork/java/ ... downloads/
Jeff Clausius
SourceGear

Return to Vault Professional CPC (Cross Platform Client)

Who is online

Users browsing this forum: No registered users and 1 guest

cron